Ubuntu

Compaq Proliant DL360: raid controller should use cpqarray, not sym53c8xx

Reported by CaptSaltyJack on 2007-04-27
74
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.15 (Ubuntu)
Medium
Unassigned
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned

Bug Description

Machine is a 1U rack Compaq Proliant DL360. Ubuntu Server 6.10 installed just fine on it (with a few hacks during installation of course). However, 7.10 Server will not even get past the PartEd stage of the installation. Details:

I boot up the CD, and get as far as the partitioner. I get a warning message: "Unable to determine geometry of file/device. You should not use Parted unless you REALLY know what you're doing! Ignore/Cancel" I choose 'Ignore', and am presented with options for Manual vs. Guided partitioning. I pick Manual, then instead of seeing a list of drives or partitions, I see "/dev/ida/c0d0 - 0B0 Compaq Smart Array". I select that, as that's the device I want to partition, but I get the "unknown file/device geometry" warning above.. it's one big endless loop. Installation is impossible.

Identical problem.

Scott Williams (scott-williams) wrote :

Exactly the same problem, have tried several workarounds, like expert mode, but no joy!

Fjodor (sune-molgaard) wrote :

Same on dl380...

Fjodor (sune-molgaard) wrote :

Problem persists with gutsy server installer...

CaptSaltyJack (csjubuntu) wrote :

Workaround: grab Debian 4.0. I know it's not Ubuntu, but it's what Ubuntu is based off of.. you still get awesome package management with apt/aptitude, and it actually installs and runs flawlessly on the Proliant servers.

Fjodor (sune-molgaard) wrote :

Hehe, that is actually exactly what I did. However, I think ubuntu ought to work on those machines too...

Colin Watson (cjwatson) wrote :

Since our parted is basically the same as Debian's in this regard, I think this has got to be a kernel problem. Could you attach /var/log/syslog from the installer?

Colin Watson (cjwatson) wrote :

http://ubuntuforums.org/showthread.php?p=2321786#post2321786 seems to be relevant here, and notes that the sym53c8xx driver is grabbing this device before cpqarray has a chance to do so.

Martin Pitt (pitti) wrote :

I took a look at the modinfo overlap in dapper.

This is for cpqarray:

alias: pci:v00001000d00000010sv00000E11sd00004040bc*sc*i*
alias: pci:v00001000d00000010sv00000E11sd00004048bc*sc*i*

The corresponding line for sym53c8xx:
alias: pci:v00001000d00000010sv*sd*bc*sc*i*

Would it be reasonable to remove this modalias from the sym53c8xx, so that cpqarray would take the device instead? Or is it possible to just remove the two subvendor/subdevice entries?

Changed in linux-source-2.6.15:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
Martin Pitt (pitti) on 2007-08-03
Changed in linux-source-2.6.15:
status: New → Incomplete
Alex Smith (aejsmith) wrote :

As a workaround, you can add this to the kernel command line when booting:

sym53c8xx.blacklist=true

That worked for me on my Compaq Proliant DL360 (G1), after some poking around in busybox I found that d-i can have modules blacklisted by adding <module>.blacklist=true to the command line.

Changed in linux-source-2.6.15:
status: Incomplete → Triaged
Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Kyle McMartin (kyle) wrote :

Could one of you paste the output of "lspci -vvnn" from a feisty boot?

Alex Smith (aejsmith) wrote :

I saw that fix when I was googling around, but that fix went into .18, and it's fixed on most distros with .18 or newer, so I was mystified as to why it was happening on Gutsy.

Martin Pitt (pitti) wrote :

Ben says this is not practical to do for a stable dapper update, so backing this out of Dapper.2.

Changed in linux-source-2.6.15:
milestone: ubuntu-6.06.2 → dapper-updates
CaptSaltyJack (csjubuntu) wrote :

Not fixed in 7.10 Server. WTH??

tad1073 (tad1073) wrote :

Spec:
Compaq Proliant ML330
Pentium III 733mhz 256k cache
256mb ram
Compaq Smart Array 431 Controller set to RAID0 w/25.9gb=3/9.1gb hd's
System Embedded IDE Controller
SCSI Controller

I have been trying to get Ubuntu 7.10 on that machine for a week now. I keep getting the same errors and I am not computer savy by no means and am a noob to Linux.

From the Ubuntu boot screen I selected "Check CD for Defects" and got the errors listed below:

[364.283722] ata1.01: Exception Emask 0x0 Sact 0x0 Serr 0x0 action 0x2 Frozen
[364.283771] ata1.01 (BMDMA stat 0x44)
[364.283822] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag0 cdb 0x28 d
ata 129024 in
[374.885258]305]349]394]438]482]524]567]610]653] Buffer I/O error on device sr0, logical block 329966-329975

The error messege has 10 line to it, I shortened it to one line so I wouldn't have to type the whole thing out:
305]349]= [374.885305][374.885349] etc. etc.

I select "Star or Install Ubuntu" from the boot screen it runs through the process of the checks and there are some [FAIL] messeges on some of the checks, then it tells me to "hit enter for maintnace or ctrl+D to continue" When I hit enter I am taken to root@ubuntu and I don't know how to fix the errors. If I ctrl+D it puts out a bunch of errors and won't load the OS. Any help will be greatly appreciated.

On Jan 9, 2008 12:29 AM, tad1073 <email address hidden> wrote:

>
> >From the Ubuntu boot screen I selected "Check CD for Defects" and got
> the errors listed below:
>
> [364.283722] ata1.01: Exception Emask 0x0 Sact 0x0 Serr 0x0 action 0x2
> Frozen
> [364.283771] ata1.01 (BMDMA stat 0x44)
> [364.283822] ata1.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag0 cdb
> 0x28 d
> ata 129024 in
> [374.885258]305]349]394]438]482]524]567]610]653] Buffer I/O error on
> device sr0, logical block 329966-329975
>
> The error messege has 10 line to it, I shortened it to one line so I
> wouldn't have to type the whole thing out:
> 305]349]= [374.885305][374.885349] etc. etc.
>

There are two common possibilities for this error:
1: The .ISO file was corrupted during download. Check the md5sum of the
.ISO file -- on another Linux system run "md5sum XXX.iso" and compare the
output to the md5sum reported on the page you downloaded it from.
2: The actual CD has a scratch or other imperfection (possibly invisible to
the naked eye). If the MD5sum is correct (#1 above), then re-burn the CD.
If the second fails, try re-burning the image at a slower speed and/or on a
different computer.

Another possiblity is that the CD drive in your server isn't reading the CD
properly. If you boot the CD on another system and run the check CD, does
it pass there?

>
> I select "Star or Install Ubuntu" from the boot screen it runs through
> the process of the checks and there are some [FAIL] messeges on some of
> the checks, then it tells me to "hit enter for maintnace or ctrl+D to
> continue" When I hit enter I am taken to root@ubuntu and I don't know
> how to fix the errors. If I ctrl+D it puts out a bunch of errors and
> won't load the OS. Any help will be greatly appreciated.
>
>
Yup, if there is an error with the CD, then *any* error is possible.

Dan

--
"Quis custodiet ipsos custodes?" (Who can watch the watchmen?) -- from the
Satires of Juvenal
"I do not fear computers, I fear the lack of them." -- Isaac Asimov (Author)
** *** ***** ******* *********** *************

tad1073 (tad1073) wrote :

I forgot to mention that the CD was ordered from Ubuntu, I ordered two more which are the text based installers. I will check it on another machine. If there are no errors can you help me installing it on the machine mentioned.

I am not necessarily going to use that machine as a server, for now anyways.

tad1073 (tad1073) wrote :

I checked the CD and there are no defects on it or with it. i kind of figured it was a compatibility issue, so now what do I do?

CaptSaltyJack (csjubuntu) wrote :

tad: Not sure if your issue has anything to do with the cpqarray/sym53c8xx module issue. Maybe you ought to file a separate bug report? I don't mean to dismiss your problem, just trying to keep this particular bug discussion on topic.

dan_linder (dan-linder) wrote :

Capt. Salty: I agree.

Tad: If the CD passes the check on a different system, then I would suspect
the CD-ROM drive on your system. The original problem this thread was about
was specifically the hard-drive controller being recognized correctly
*after* installation.

From what you've told us, I'd say your CD-ROM drive might have issues.

Dan

--
"Quis custodiet ipsos custodes?" (Who can watch the watchmen?) -- from the
Satires of Juvenal
"I do not fear computers, I fear the lack of them." -- Isaac Asimov (Author)
** *** ***** ******* *********** *************

tad1073 (tad1073) wrote :

i guess I will file a seperate bug report for the issue I am having. In the mean time I will try to swap the cd-rom drive out and check it again.

tad1073 (tad1073) wrote :

Thanks for the help. Bug filed #181678

GlennS (gseymour) wrote :

I had exactly the same problem on my G1 as well. After searching the web all morning and reading all your posts, I was not bothered in following all the steps outlined in the fix ISO. I am using Gutsy 7.10 server insall and had the same problem.
So, what I ended up doing was, used the SmartStart CD 5.5 and did the usual steps there, when the disc is swapped with server ubuntu, when you start up normally and it asks you your language, I used back, which takes you to the menu of install opions. I selected Shell out to prompt. at the prompt I typed: modprobe -r sym53c8xx and hit enter
then I typed: exit taking me back to the menu. And then selected language and followed through - no issue. It is currently installing the base system - huraaah!

Martin Pitt (pitti) wrote :

This is not even understood for Gutsy and Hardy so far, so nothing to fix for Dapper.

Changed in linux-source-2.6.15:
milestone: dapper-updates → none
status: Triaged → Won't Fix
Changed in linux-source-2.6.22:
milestone: ubuntu-7.10-beta → none
MarkC (mark-cornhill) wrote :

Hi there,

This may benefit others who have also had problems installing Ubuntu Server 7.10.
I have just managed to install Ubuntu Server 7.10 on my Compaq DL360 G1 by followed Alex Smith's recommendation above using the module blacklist technique.

- Boot from the Ubuntu Server 7.10 CD
- At the boot menu hit F6 for "Other Options"
- When presented with the boot options command line, append Alex's suggested blacklist command
sym53c8xx.blacklist=true
- Hit enter to boot.

I received an eror to say that the boot option was unrecognised however I was able to see my 2 x 36GB SCSI disks (Raid 1) and partition accordingly. Without the blacklist I was unable to see the SCSI disks in the partitioner.

Regards
Mark

Can someone confirm this issue for the latest 8.04 Hardy Alpha release? Thanks.

Changed in linux-source-2.6.20:
status: New → Won't Fix
Changed in linux:
status: Triaged → Incomplete
d1zzyg (brianjamesgillespie) wrote :

I'm having the same problem with a couple of DL380 G4s.

The fix involving the removal of sym53c8xx drivers worked on an older G1 we have, but yields no results on the newer machines.

I just keep getting back to the partition editor which says things like "failed to read drive geometry" and "cciss/c0d0 - 0B".

d1zzyg (brianjamesgillespie) wrote :

Fixed - for us at least.

I am working in a corporate environment and the pre-boot config is out of my hands (support contracts blah blah blah). I recently got hold of an identical server and tried to install Gutsy -- it worked without a hitch! It turns out that on the first machine there was a misconfiguration on the RAID controller.

Thanks and good luck.

d1zzyg, thanks for testing and the feedback. Since we have received no response from anyone else regarding the Hardy Heron 8.04 Alpha/Beta release I'm going to close this for now against the Hardy kernel. Please feel free to reopen (ie set the Status back to New) if you still experience issues with the Hardy release - http://www.ubuntu.com/testing . Thanks.

Changed in linux:
assignee: ubuntu-kernel-team → nobody
status: Incomplete → Invalid

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers